Support

Home Forums Event Espresso Premium critical error

critical error

Posted: April 16, 2022 at 10:53 pm


lupineart

April 16, 2022 at 10:53 pm

Hey guys,

I had malware on our site. I updated all plugins and the elementor database, it did not resolve. I restored the files, updated all plugins and themes. Confirmed malware is not infected. I got a critical error. The host got the first error below and deactivated EE. Then everything *appeared* to be working with EE deactivated. I reactivated and it caused a critical error. Then got the 2nd error. EE is deactivated and the site *seems* to be working.

error 1:

It looks like a plugin is causing issues with the site, please check the error below.
Fatal error: Uncaught EventEspresso\core\exceptions\InvalidAliasException: "EventEspresso\core\services\cache\CacheStorageInterface" can not be used as an alias because the "EventEspresso\core\services\cache\TransientCacheStorage" class does not extend or implement it. in /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/services/loaders/ClassInterfaceCache.php:91

error 2 (current error):
Fatal error: Uncaught EventEspresso\core\exceptions\InvalidAliasException: "EventEspresso\core\services\cache\CacheStorageInterface" can not be used as an alias because the "EventEspresso\core\services\cache\TransientCacheStorage" class does not extend or implement it. in /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/services/loaders/ClassInterfaceCache.php:91
Stack trace:
#0 /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/EE_Dependency_Map.core.php(1118): EventEspresso\core\services\loaders\ClassInterfaceCache->addAlias('EventEspresso\\c...', 'EventEspresso\\c...')
#1 /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/EE_Dependency_Map.core.php(113): EE_Dependency_Map->_register_core_aliases()
#2 /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/services/bootstrap/BootstrapCore.php(128): EE_Dependency_Map->initialize()
#3 /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/services/bootstrap/BootstrapCore.php(102): EventEspresso\core\services\bootstrap\BootstrapCore->bootstrapDependencyInjectionContainer()
#4 /home/dh_us43s8/lupineart.com/public_html/wp-includes/class-wp-hook.php(307): EventEspresso\core\services\bootstrap\BootstrapCore->initialize('')
#5 /home/dh_us43s8/lupineart.com/public_html/wp-includes/class-wp-hook.php(331): WP_Hook->apply_filters(NULL, Array)
#6 /home/dh_us43s8/lupineart.com/public_html/wp-includes/plugin.php(474): WP_Hook->do_action(Array)
#7 /home/dh_us43s8/lupineart.com/public_html/wp-settings.php(450): do_action('plugins_loaded')
#8 /usr/local/wp/php/WP_CLI/Runner.php(1319): require('/home/dh_us43s8...')
#9 /usr/local/wp/php/WP_CLI/Runner.php(1237): WP_CLI\Runner->load_wordpress()
#10 /usr/local/wp/php/WP_CLI/Bootstrap/LaunchRunner.php(28): WP_CLI\Runner->start()
#11 /usr/local/wp/php/bootstrap.php(78): WP_CLI\Bootstrap\LaunchRunner->process(Object(WP_CLI\Bootstrap\BootstrapState))
#12 /usr/local/wp/php/wp-cli.php(27): WP_CLI\bootstrap()
#13 /usr/local/wp/php/boot-fs.php(17): require_once('/usr/local/wp/p...')
#14 {main}
thrown in /home/dh_us43s8/lupineart.com/public_html/wp-content/plugins/event-espresso-core-reg/core/services/loaders/ClassInterfaceCache.php on line 91
Error: There has been a critical error on this website.Learn more about troubleshooting WordPress. There has been a critical error on this website.

Please let me know how best to proceed. The site is currently in maintenance mode.

Thank you, I appreciate your help.

Derek


lupineart

April 17, 2022 at 6:54 pm

I didn’t see the option to update the plugin within WordPress but noticed a newer version was available to manually download and install. All seems to be working.

Thanks, Derek


Tony

  • Support Staff

April 19, 2022 at 5:56 am

Hi Derek,

I know you’ve fixed this already now but just to note, those errors usually mean 1 of 2 issue.

1. There are missing files from the Event Espresso plugin directory.

2. The files are there but something has been changed within them and they are no longer ‘valid’ (or at least what EE is expecting to find).

The first fix to try is to reinstall Event Espresso (which is basically what you did when you updated it) and it usually fixes the problem.

The support post ‘critical error’ is closed to new replies.

Have a question about this support post? Create a new support post in our support forums and include a link to this existing support post so we can help you.

Event Espresso